Bug 2907 - unable to start OpenOffice when using "mapchars" option
unable to start OpenOffice when using "mapchars" option
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: kernel fs
2.6
x86 Linux
: P3 normal
: ---
Assigned To: Steve French
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-21 16:42 UTC by Rene Tapia
Modified: 2005-08-31 09:21 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Tapia 2005-07-21 16:42:11 UTC
Mounted user home directory on:
Debian 2.6.11
cifs-1.34 (mount options: serverino, mapchars)
OpenOffice.org 1.1.3
KDE 3.3

Server:
Debian 2.4.27-2
Samba 3.0.10-1

STEPS TO REPRODUCE:

1) Use cifs to mount a user's home directory with "serverino" AND "mapchars"
options turned on

2) Start OpenOffice's Writer. Writer starts with out a problem. Close it.

3) Start OpenOffice's Writer again.

RESULT:
Writer won't start at all after the first time. It either hangs or it tries to
start and then it dies.

EXPECTED:
To be able to start Writer.

NOTE 1: This works fine with no "mapchars" option specified (just "serverino").

NOTE 2: If you remove all files on the user's home directory and login again,
you'll be able to start Writer the first time again.
Comment 1 Dave Kleikamp 2005-08-09 12:13:31 UTC
I think this is the same problem that is fixed by bug #2883.  That fix HAS NOT
made it into Linus' tree yet.
Comment 2 Steve French 2005-08-31 09:21:20 UTC
Should be fixed in 2.6.13 kernel and cifs version 1.35